# $Revision: 1.103 $, $Date: 2012/04/16 12:50:43 $
#
# Conditional build:
%bcond_without	home_etc	# without home_etc support
#
Summary:	An open source reimplementation of the Microprose game "Transport Tycoon Deluxe"
Summary(pl.UTF-8):	Otwarta reimplementacja gry Transport Tycoon Deluxe
Name:		openttd
Version:	1.2.0
Release:	1
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://binaries.openttd.org/releases/%{version}/%{name}-%{version}-source.tar.xz
# Source0-md5:	7f5181fdd5119336ccbe08f47eab78c1
Source1:	%{name}.desktop
Source2:	%{name}-server.desktop
Patch0:		%{name}-home_etc.patch
Patch1:		%{name}-libiconv.patch
URL:		http://www.openttd.org/
BuildRequires:	SDL-devel
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel
%{?with_home_etc:BuildRequires:	home-etc-devel}
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	lzo-devel
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	xz-devel
BuildRequires:	zlib-devel
Requires:	%{name}-data = %{version}-%{release}
Suggests:	%{name}-ai
Suggests:	%{name}-opengfx
Suggests:	%{name}-openmsx
Suggests:	%{name}-opensfx
Suggests:	TiMidity++
Provides:	%{name}-binary = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenTTD is modeled after the original Transport Tycoon game by Chris
Sawyer and enhances the game experience dramatically. Many features
were inspired by TTDPatch while others are original.

It requires the original Transport Tycoon Deluxe data files.

%description -l pl.UTF-8
OpenTTD powstał na bazie gry Transport Tycoon stworzonej przez Chrisa
Sawyera, jego grywalność jest jednak dużo większa. Wiele rzeczy
zostało zainspirowanych przez TTDPatch, dużo jest jednak oryginalnych
pomysłów.

Do uruchomienia wymagane są pliki danych z Transport Tycoon Deluxe.

%package data
Summary:	OpenTTD data files
Summary(pl.UTF-8):	Pliki danych OpenTTD
Group:		X11/Applications/Games

%description data
OpenTTD data files.

%description data -l pl.UTF-8
Pliki danych OpenTTD.

%package server
Summary:	OpenTTD dedicated server
Summary(pl.UTF-8):	Dedykowany serwer OpenTTD
Group:		X11/Applications/Games
Requires:	%{name}-data = %{version}-%{release}
Provides:	%{name}-binary = %{version}-%{release}

%description server
This package contains OpenTTD dedicated server. Note that
graphics-enabled OpenTTD client also has this functionality.

%description server -l pl.UTF-8
Ten pakiet zawiera dedykowany serwer OpenTTD. Należy zwrócić uwagę, że
graficzny klient OpenTTD również zawiera taką funkcjonalność.

%prep
%setup -q
%{?with_home_etc:%patch0 -p1}
%patch1 -p1

# Let's pldize
find src/lang/ -type f -exec %{__sed} -i 's/:Unix/:PLD Linux/' \{\} \;

%build

# dedicated
./configure \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcxxflags}" \
	LDFLAGS="%{rpmldflags}" \
	--cc-host="%{__cc}" \
	--cc-build="%{__cc}" \
	--cxx-host="%{__cxx}" \
	--cxx-build="%{__cxx}" \
	--disable-strip \
	--prefix-dir="%{_prefix}" \
	--binary-dir=bin \
	--data-dir=share/openttd \
	--icon-dir=share/pixmaps \
	--install-dir=$RPM_BUILD_ROOT \
	--os=UNIX \
	--enable-dedicated \
	--without-allegro \
	--without-sdl \
	--with-zlib \
	--without-png \
	--without-freetype \
	--without-fontconfig \
	--without-libtimidity

%{__make} \
	MANUAL_CONFIG=1 \
	INSTALL=1 \
	VERBOSE=1

mv bin/openttd{,-dedicated}

# client
rm -f Makefile.config
%{__make} clean
./configure \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcxxflags} $(sdl-config --cflags) -I/usr/include/freetype2" \
	LDFLAGS="%{rpmldflags}" \
	--cc-host="%{__cc}" \
	--cc-build="%{__cc}" \
	--cxx-host="%{__cxx}" \
	--cxx-build="%{__cxx}" \
	--disable-strip \
	--prefix-dir="%{_prefix}" \
	--binary-dir=bin \
	--data-dir=share/openttd \
	--icon-dir=share/pixmaps \
	--install-dir=$RPM_BUILD_ROOT \
	--os=UNIX \
	--without-allegro \
	--with-sdl \
	--with-zlib \
	--with-png \
	--with-freetype \
	--with-fontconfig \
	--without-libtimidity \
	--with-iconv \
	--with-midi=%{_bindir}/timidity

%{__make} \
	MANUAL_CONFIG=1 \
	INSTALL=1 \
	VERBOSE=1

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_mandir}/man6,%{_pixmapsdir}}
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/{ai/library,scenario/heightmap}

%{__make} install \
	INSTALL_DIR=$RPM_BUILD_ROOT \
	INSTALL=1 \
	VERBOSE=1 \
	PREFIX="/" \

install bin/openttd-dedicated $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install docs/openttd.6 $RPM_BUILD_ROOT%{_mandir}/man6
install media/openttd.256.png $RPM_BUILD_ROOT%{_pixmapsdir}/openttd.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc changelog.txt known-bugs.txt readme.txt docs/multiplayer.txt
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_mandir}/man6/openttd.*
%{_iconsdir}/*/*/*/openttd.png

%files data
%defattr(644,root,root,755)
%doc bin/scripts
%{_datadir}/%{name}
%{_pixmapsdir}/openttd.*

%files server
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}-dedicated
%{_desktopdir}/%{name}-server.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openttd.spec,v $
Revision 1.103  2012/04/16 12:50:43  megabajt
- updated to 1.2.0; merged changes from DEVEL

Revision 1.102  2012/02/07 22:05:24  arekm
- release 2

Revision 1.100.2.2  2012/02/02 12:52:27  lisu
- updated to 1.2.0-beta3

Revision 1.101  2012/02/02 11:10:29  lisu
- updated to 1.1.5
[CVE-2012-0049]

Revision 1.100.2.1  2011/12/29 14:00:47  lisu
- updated to 1.2.0-beta1

Revision 1.100  2011/12/20 19:35:33  arekm
- release 2

Revision 1.99  2011/12/10 17:47:54  adamg
- updated to 1.1.4

Revision 1.98  2011/10/09 10:23:56  arekm
- release 2

Revision 1.97  2011/09/16 08:47:59  marti
- up to 1.1.3
- fixes: CVE-2011-3341, CVE-2011-3342, CVE-2011-3343

Revision 1.96  2011/08/30 11:34:55  marti
- up to 1.1.2

Revision 1.95  2011/06/07 08:39:13  lisu
- merged with DEVEL
- removed DEVEL stuff

Revision 1.94.2.2  2011/06/06 12:44:35  marti
- up to 1.1.1
- before merge to HEAD

Revision 1.94.2.1  2011/05/31 09:23:21  lisu
- updated to 1.1.1-RC1

Revision 1.94  2011/04/05 21:39:35  pawelz
- rel 2

Revision 1.93  2011/04/05 07:00:32  lisu
- merged commit logs from DEVEL

Revision 1.92  2011/04/03 18:51:58  adamg
- updated to 1.1.0; BR: xz-devel (merge from devel)

Revision 1.91  2011/03/20 18:05:28  arekm
- release 3

Revision 1.90  2011/02/27 08:00:06  arekm
- release 2

Revision 1.89.2.4  2011/03/10 10:26:48  lisu
- 1.1.0-RC2

Revision 1.89.2.3  2011/02/09 12:44:58  lisu
- 1.1.0-beta5

Revision 1.89.2.2  2011/01/03 12:44:40  lisu
- up to 1.1.0-beta2
- BR: xz-devel

Revision 1.89.2.1  2010/12/27 13:40:59  lisu
- up to 1.1.0-beta1

Revision 1.89  2010/11/27 09:45:11  adamg
- CVE note for rev. 1.88 (openttd-1.0.5)

Revision 1.88  2010/11/22 15:53:26  lisu
- updated to 1.0.5
  [ fixes CVE-2010-4168 ]

Revision 1.87.2.2  2010/11/16 12:21:25  lisu
- up to 1.0.5-RC2

Revision 1.87.2.1  2010/11/09 08:58:41  lisu
- up to 1.0.5-RC1

Revision 1.87  2010/09/15 05:31:43  lisu
- updated to 1.0.4

Revision 1.86.4.1  2010/09/14 10:12:30  lisu
- updated to 1.0.4-RC1

Revision 1.86  2010/08/02 10:25:08  lisu
- add cve reference

Revision 1.85  2010/08/02 10:16:30  lisu
- up to 1.0.3

Revision 1.84.2.1  2010/07/19 14:26:46  lisu
- up to 1.0.3-RC1
  [CVE-2010-2534]

Revision 1.84  2010/06/21 13:05:00  lisu
- 1.0.2

Revision 1.83.2.1  2010/06/16 13:07:24  lisu
- up to 1.0.2-RC1

Revision 1.83  2010/06/15 20:39:17  hawk
- release 2

Revision 1.82  2010/05/01 19:05:50  lisu
- add missing CVE references

Revision 1.81  2010/05/01 18:57:43  lisu
- updated to 1.0.1
- merge with DEVEL
- [fixes CVE-2010-0406]

Revision 1.80  2010/05/01 18:35:03  sparky
- BR: lzo-devel

Revision 1.79  2010/04/23 21:51:19  lisu
- S: openttd-opengfx, openttd-openmsx, openttd-opensfx
- rel 2

Revision 1.78.2.1  2010/04/22 14:12:39  lisu
- updated to 1.0.1-RC2
- adapter
- [fixes CVE-2010-0402 and CVE-2010-0401]

Revision 1.78  2010/04/07 06:12:10  amateja
- merged from DEVEL
- updated to 1.0.0

Revision 1.77  2010/03/08 12:25:29  hawk
- release 3

Revision 1.76  2010/01/29 20:40:07  arekm
- release 2

Revision 1.75  2009/12/31 19:44:24  pawelz
- reverted last commit (it was upgrade to unstable release, sorry)

Revision 1.74  2009/12/31 19:39:11  pawelz
- up to 1.0.0-beta1
- builds without home_etc (do we still support it? Why not XDG dirs instead?)

Revision 1.73.2.4  2010/03/04 07:29:25  amateja
- updated to RC2

Revision 1.73.2.3  2010/02/18 08:08:10  amateja
- updated to RC1

Revision 1.73.2.2  2010/02/17 14:40:58  lisu
- up to 1.0.0-beta4

Revision 1.73.2.1  2009/12/31 19:41:17  pawelz
- up to 1.0.0-beta1
- builds without home_etc (do we still support it? Why not XDG dirs instead?)

Revision 1.73  2009/12/28 09:24:21  amateja
- updated to 0.7.5
- [fixes CVE-2009-4007]

Revision 1.72  2009/12/01 13:02:04  sparky
- BR: fontconfig-devel, pkgconfig

Revision 1.71  2009/12/01 12:25:19  lisu
- 0.7.4

Revision 1.70  2009/10/06 10:12:18  lisu
- up to 0.7.3
- merge

Revision 1.69.2.1  2009/09/29 10:50:18  lisu
- up to 0.7.3-RC2

Revision 1.69  2009/09/22 10:39:43  glen
- release 2

Revision 1.68  2009/08/10 09:51:58  lisu
- new URL

Revision 1.67  2009/08/04 13:52:30  lisu
- up to 0.7.2

Revision 1.66  2009/06/20 22:24:42  adamg
- updated to 0.7.1

Revision 1.65  2009/04/04 14:17:46  sparky
- scenarios removed
- S: openttd-ai
- added dirs for AI and scenarios
- removed data <-> binary loop
- game and dedicated are not mutually exclusive

Revision 1.64  2009/04/03 16:02:00  adamg
- include icons

Revision 1.63  2009/04/03 14:58:53  sparky
- without-allegro - much slower than SDL, also somewhat broken
- without-libtimidity - we don't have it (yet?)

Revision 1.62  2009/04/03 13:56:49  sparky
- use --enable-dedicated and build dedicated with zlib support

Revision 1.61  2009/04/03 13:13:42  lisu
- back to /usr/bin in configure

Revision 1.60  2009/04/03 12:57:53  lisu
- proper version in 1.58 revision (it's 0.7.0 not 0.0.7)

Revision 1.59  2009/04/03 08:52:11  lisu
- /usr/bin -> %%{_bindir}

Revision 1.58  2009/04/03 08:45:32  lisu
- up to 0.7.0
- fix scenario workaround
- more verbose files

Revision 1.57  2009/03/31 11:06:55  tommat
- home-etc patch seems to be ok, rel 1

Revision 1.56  2009/03/07 21:12:58  adamg
- CVE entries for 0.6.3

Revision 1.55  2008/11/16 21:25:05  sparky
- up to 0.6.3
  [ fixes CVE-2008-3547, CVE-2008-3576, CVE-2008-3577 ]

Revision 1.54  2008/11/16 20:57:30  sparky
- fix build, force our compilers, proper flags, disable strip

Revision 1.53  2008/08/07 14:11:59  adamg
- updated to 0.6.2
- [ fixes CVE-2008-3577, CVE-2008-3547 and [CVE-2008-3576]

Revision 1.52  2008-06-08 17:44:58  adamg
- removed Requires: TiMiditi++, Suggest is enough

Revision 1.51  2008-06-07 17:08:56  adamg
- removed font-related todo entry (configuration issue)
- --with-iconv
- --with-midi=/usr/bin/timidity + Suggests: TiMidity++ (in order to play
  ingame music)
- release 0.2

Revision 1.50  2008-06-07 16:09:21  adamg
- updated to 0.6.1
- include scenario packs
- dropped -personal-data and -pthread patches (obsolete
- home-etc patch needs review
- release 0.1 (playable, but still needs some work)

Revision 1.49  2008-05-18 16:19:26  adamg
- previous commit reverted (mistake)

Revision 1.47  2008-01-02 15:30:53  hawk
- release should be 1

Revision 1.46  2007-09-17 16:49:49  adamg
- updated to 0.5.3

Revision 1.45  2007/07/13 07:36:44  hawk
- proper personal-data.patch has been merger from AC-branch, enable it

Revision 1.44  2007/06/01 07:33:16  adamg
- updated to 0.5.2

Revision 1.43  2007/04/28 07:09:44  rotom
- up to 0.5.1

Revision 1.42  2007/04/27 07:01:04  qboosh
- CVE references for 0.4.8

Revision 1.41  2007/03/15 01:21:05  sparky
- everything needs to be revised

Revision 1.40  2007/03/14 21:20:28  sparky
- up to 0.5.0 final

Revision 1.39  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.38  2007/02/12 00:49:17  baggins
- converted to UTF-8

Revision 1.37  2007/01/21 23:36:53  domelu
- up to up to 0.5.0-RC4
- dropped console.txt

Revision 1.36  2006/12/23 15:15:27  czarny
- up to 0.5.0-RC1
- pthread patch
- freetype include patch

Revision 1.35  2006/08/29 17:38:47  emes
- updated to 0.4.8 [fixes CVE-2006-1998 CVE-2006-1999]

Revision 1.34  2006/04/24 18:05:55  djrzulf
- updated do 047,

Revision 1.33  2006/02/28 23:53:22  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.32  2006/02/07 21:35:51  sparky
- -BR unzip

Revision 1.31  2006/02/02 08:33:51  qboosh
- restored previous md5

Revision 1.30  2006/02/01 21:22:59  sparky
- correct md5

Revision 1.29  2006/02/01 02:52:44  wolf
- 0.4.5
- [fixes CVE-2005-2764, CVE-2005-2763]

Revision 1.28  2005/09/05 18:00:54  adamg
- fix for format string vulnerability (CAN-2005-2763)
- release 2

Revision 1.27  2005/05/22 16:40:40  qboosh
- unified sf URL

Revision 1.26  2005/05/22 16:00:49  wolf
- 0.4.0.1

Revision 1.25  2005/05/17 13:18:52  wolf
- fix for dedicated server building

Revision 1.24  2005/05/15 22:53:28  wolf
- 0.4.0
- dedicated server is broken - building w/o SDL doesn't work

Revision 1.23  2005/01/25 01:58:16  wolf
- finished

Revision 1.22  2005/01/25 01:35:45  wolf
- 0.3.6 (only to fetch sources)

Revision 1.21  2004/12/24 19:41:27  wolf
- 0.3.5

Revision 1.20  2004/12/17 18:41:01  wolf
- md5

Revision 1.19  2004/12/17 18:32:26  wolf
- 20041217
- add gradual load times patch
- icon, manpage

Revision 1.18  2004/12/13 23:34:53  adamg
- desktop file for dedicated server
- release 3

Revision 1.17  2004/12/13 23:22:13  adamg
- desktop file for openttd

Revision 1.16  2004/12/10 12:07:52  wolf
- fixed dependecies?
- rel 2

Revision 1.15  2004/12/07 20:02:19  wolf
- 20041207
- allow data files in ~/.openttd/data
- build dedicated server not linked to SDL

Revision 1.14  2004/12/06 22:54:33  wolf
- timidity not required for dedicated server

Revision 1.13  2004/12/05 18:03:46  wolf
- 20041205 (new network)

Revision 1.12  2004/11/20 15:58:33  wolf
- 20041120 snap (newgrf support)

Revision 1.11  2004/09/18 11:44:29  wolf
- snap with updated translations

Revision 1.10  2004/09/14 21:01:31  wolf
- 0.3.4

Revision 1.9  2004/07/14 22:57:37  wolf
- 0.3.3

Revision 1.8  2004/06/26 12:42:11  qboosh
- added endian patch, release 5

Revision 1.7  2004/06/21 19:49:51  wolf
- new snap

Revision 1.6  2004/06/17 20:48:42  wolf
- s/clone/reimplementation/

Revision 1.5  2004/06/14 16:15:31  wolf
- add title screen (kinda sucks)

Revision 1.4  2004/06/12 13:20:52  pzurowski
- some pldlization in lang files (s/Unix/PLD Linux/)

Revision 1.3  2004/06/11 22:47:16  pzurowski
- added conditional home_etc support
- release 3

Revision 1.2  2004/06/11 21:23:39  wolf
- svn snap, polish translation among other things

Revision 1.1  2004/06/11 15:03:29  wolf
- o jaaa
